Kerbal Space Program - Bug #2382

Impossible to return to Space Center or recover ship - NullReferenceException. Simple reproduction
steps.

04/11/2014 05:47 AM - Kasuha

Status: Closed Start date: 04/11/2014
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.23.5 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

Images: http:/imgur.com/a/oqJW1

Reproduction steps:

Make a new (sandbox) save.

Save the attached .craft file to Ships/VAB subdirectory.

Deploy the ship on launchpad. Make sure both pods are occupied (if only one is occupied, no problem appears).
Open debug log for extra information.

Throttle up and stage to activate the engine.

Stage again to detach the engine part from both pods.

NullReferenceException appears in debug log. From now on it is impossible to return to Space Center or to recover the craft. Each
such attempt results in log message "Scene change: From FLIGHT to SPACECENTER" followed by another
NullReferenceException and nothing changes.

Putting a Kerbal on EVA and trying to recover the Kerbal (unsuccessful), then trying to put him back inside the pod results in the
Kerbal being inoperative, present both in the pod and on the pod ladder. May lead to corrupt persistence file (e.g. impossible to
delete both the Kerbal and his pod even from tracking station).

History

#1 - 04/12/2014 03:25 AM - Kasuha
- File output_log.txt added

Adding output_log.txt

#2 - 04/13/2014 06:17 PM - APHSpace

| have tried to replicate the craft, and | do believe | did it exactly. No error was found, | was perfectly able to "recover craft" without issues. However
when | used the craft file included there was an issue, exactly as you described, | was unable to recover craft, revert save, or go to space center.

#3 - 04/13/2014 11:55 PM - Kasuha
- File screenshot12.png added

Maybe it depends on how you were replicating the craft? In my version, root part is the fuel tank. | did not build it any special way and can replicate
the result even with different crafts as long as both decoupled pods are child nodes and occupied.

Apparently even no engine, throttling up or using symmetry during build is needed. Simplest ship | was able to use to invoke the error has five parts
with the girder being the root part. See the attached image.

#4 - 04/14/2014 08:28 PM - Claw
- File screenshot0.png added

- File screenshot1.png added

- File KSP.log added
- File Test Craft.craft added
- Status changed from New to Confirmed

- % Done changed from 0 to 10

| was able to replicate this using a similar craft as the original (with engine), except | used two Mk1 pods. | had the same results (unable to exit to the
menu).

e | was able to quicksave. When | restarted the game, the #1 Mk1 pod (with Jeb in it) was at full throttle. The #2 pod (with Bill in it) was at zero
throttle.

| was also able to replicate this bug with Kasuha's second craft launching directly from the VAB, without symmetry, and without throttling up. (attached
photo and log)

Additionally, | received a NullException immediately when | launched the ship (before any staging). In fact, any ship that | launch from the KSC
complex direct to the launch pad experiences a NullException (even just a probe core or Mk1 pod). I'm not sure if this is a separate issue, or if it
contributes to the problem.

#5 - 04/21/2014 09:28 PM - Claw

| don't know if it's particularly helpful, but | also noticed that if you manually decouple the pods (basically one at a time), the NRE does not happen.

#6 - 05/28/2014 05:19 AM - dr-kerpernicus
- File Bugtest 1.craft added

My bug might be a version of this one.

This occurs when | create a ship with multiple occupied pods, they all detach at the same time (thus becoming separate flights) and they all land
successfully. (see attached .craft file) This occurs in both Windows 7 and Windows 8.

- You cannot 'recover vessel'

- you cannot 'revert flight'

- You cannot switch to space centre, therefore you cannot navigate to a menu to exit the game cleanly

- The only option is to use Windows key to switch out of program, and do a hard stop on the program.

- Upon booting back into KSP, somehow now you CAN go to the tracking station, choose one or another of the flights, and recover vessel etc. to get
your Kerbals back.

(maybe this 'unlinks' the individual flights?)

| used a craft design like this to rescue stranded Kerbals from orbit in story mode when the single seat pod was the only pod available to me. |
believe this bug will be encountered by a great many other players performing rescue missions in story mode.

Thanks guys, cheers.

#7 - 06/06/2014 06:48 PM - AidanBionicle1

| believe this bug also happens on mac and or linux.

#8 - 06/07/2014 03:48 PM - gan_
- File Orbiter-Mk3C.craft added

Got exactly the same thing, however, my craft only has one pod (which is the root part).
(the ship need procedural fairings & engineer redux to load)

#9 - 07/27/2015 05:55 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#10 - 11/17/2015 02:48 PM - sal_vager

- Status changed from Confirmed to Resolved
- Severity changed from High to Normal

- % Done changed from 10 to 100

Hi, please be mindful of the bug reporting guidelines and priority table when reporting issues, thank you.
Also this is no longer reproducible in 1.0.5

#11-11/17/2015 11:20 PM - Kasuha

sal_vager wrote:

Hi, please be mindful of the bug reporting guidelines and priority table when reporting issues, thank you.

Priority: High
Description: Game breaking
Example: Game crashes when exiting SOI

Personally | consider "noticable amount of people complains about game crashes or lost saves due to it" falling safely under "game breaking". Or

maybe the definition could be made more specific?

#12 - 07/17/2016 09:18 AM - TriggerAu

- Status changed from Resolved to Closed
